Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ExtBasicRadioButtonMenuItemUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.MenuItemUI
                  javax.swing.plaf.basic.BasicMenuItemUI
                      com.jgoodies.looks.common.ExtBasicMenuItemUI
                          com.jgoodies.looks.common.ExtBasicRadioButtonMenuItemUI

Direct Known Subclasses:
  ExtBasicCheckBoxMenuItemUI

    public class ExtBasicRadioButtonMenuItemUI

extends ExtBasicMenuItemUI

Renders aligned `JRadioButtonMenuItem`s.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`BasicMenuItemUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, selectionBackground, selectionForeground`

Constructor Summary
`ExtBasicRadioButtonMenuItemUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected String` | `getPropertyPrefix()`
`protected boolean` | `iconBorderEnabled()`
`void` | `processMouseEvent(JMenuItem item, MouseEvent e, MenuElement[] path, MenuSelectionManager manager)`

Methods inherited from class com.jgoodies.looks.common.ExtBasicMenuItemUI
`createRenderer, getPreferredMenuItemSize, installDefaults, paintMenuItem, uninstallDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredSize, installComponents, installKeyboardActions, installListeners, installUI, paint, paintBackground, paintText, uninstallComponents, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtBasicRadioButtonMenuItemUI

    public ExtBasicRadioButtonMenuItemUI()

Method Detail

### getPropertyPrefix

    protected String getPropertyPrefix()

  Overrides:
    `getPropertyPrefix` in class `BasicMenuItemUI`

### createUI

    public static ComponentUI createUI(JComponent b)

### iconBorderEnabled

    protected boolean iconBorderEnabled()

  Overrides:
    `iconBorderEnabled` in class `ExtBasicMenuItemUI`

### processMouseEvent

    public void processMouseEvent(JMenuItem item,
                                  MouseEvent e,
                                  MenuElement[] path,
                                  MenuSelectionManager manager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 JGoodies Karsten Lentzsch. All Rights Reserved.